---

~~~ST
FUNCTION_BLOCK FB_Sum_Test EXTENDS CfUnit.FB_TestSuite

~~~
~~~ST
TwoPlusTwoEqualsFour();
ZeroPlusZeroEqualsZero();
~~~
---
~~~ST
METHOD TwoPlusTwoEqualsFour: 
VAR
    Sum: FB_Sum;
    Result: UINT;
    ExpectedSum: UINT;
END_VAR

~~~
~~~ST
TEST('TwoPlusTwoEqualsFour');

Sum(one := 2, two := 2, result =&gt; Result);

AssertEquals(Expected := ExpectedSum,
             Actual := Result,
             Message := 'The calculation is not correct');

TEST_FINISHED();
~~~
---
~~~ST
METHOD ZeroPlusZeroEqualsZero: 
VAR
    Sum: FB_Sum;
    Result: UINT;
    ExpectedSum: UINT;
END_VAR

~~~
~~~ST
TEST('ZeroPlusZeroEqualsZero');

Sum(one := 0, two := 0, result =&gt; Result);

AssertEquals(Expected := ExpectedSum,
             Actual := Result,
             Message := 'The calculation is not correct');

TEST_FINISHED();
~~~
---
~~~ST
PROGRAM PRG_TEST
VAR
    fbSum_Test: FB_Sum_Test;
END_VAR

~~~
~~~ST
CfUnit.RUN();
~~~
---

~~~ST
FUNCTION_BLOCK FB_Sum
VAR_INPUT
    one: UINT;
    two: UINT;
END_VAR
VAR_OUTPUT
    result: UINT;
END_VAR

~~~
~~~ST
result := one + two;
~~~
